Bug 132961 - kdm segfaults for x-terminals
kdm segfaults for x-terminals
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-20 10:12 EDT by Sammy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 10:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2004-09-20 10:12:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux; X11; en_US) (KHTML, like Gecko)

Description of problem:
When I have a line for an x-terminal in /etc/X11/xdm/Xservers

nuclps1.phy.vanderbilt.edu:0 foreign

than kdm segfaults everytime. If I comment this line it does not.
The x-terminal is not powered on!

OTHER NOTES:

1. KDE 3.2.3 does not segfault with the same X configuration
2. Updating from CVS KDE_3_3_BRANCH did not solve the problem
    as of 9-19-2004.

Version-Release number of selected component (if applicable):
kdebase-3.3.0-3

How reproducible:
Always

Steps to Reproduce:
1. Update KDE to 3.3.0
2. have a line for a xserver in /etc/X11/xdm/Xservers
3. restart kdm
    

Additional info:
Comment 1 Sammy 2004-09-21 08:48:04 EDT
I reported this under KDE and it is fixed and committed to KDE_3_3_BRANCH. 
See: 
 
   http://bugs.kde.org/show_bug.cgi?id=89919 
 
 
Comment 2 Ngo Than 2004-09-21 10:53:29 EDT
i have added the cvs patch in kdebase-3.3.0-5. it will show up in
rawhide soon. Many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.